XFCE4-TERMINAL(1)

NAME
xfce4-terminal - Terminalo emuliatorius skirtas X

SANTRAUKA

xfce4-terminal [PARINKTIS...]

APRAŠYMAS

xfce4-terminal tai yra tai kas žinoma kaip X terminalo emuliatorius, dažnai pavadinama „terminalu“ ar „shell“. Tai suteikia seno tekstinio ekrano atitikmenį, bet šis gali lengvai dalintis ekranu su kitomis programomis. Windows naudotojai jau turbūt pažįstami su MS-DOS įrankiu, kuris suteikia tą patį funkcionalumą DOS komandinės eilutės programoms Windows terpėje, UNIX CLI turi daugiau galimybių ir lengviau valdomas nei DOS.

xfce4-terminal emuliuoja xterm programą, kurią sukūrė X konsorciumas. xterm programa emuliuoja DEC VT102 terminalą taipogi palaiko DEC VT220 „escape sequences“. „escape sequence“ yra simbolių seka kurie prasideda simboliu Esc. xfce4-terminal priima visas „escape sequences“ sekas kurias naudoja VT102 ir VT220 terminalai, tokioms funkcijoms kaip žymeklio pozicionavimas ar ekrano išvalymas.

PARINKTYS

  Parinkčių santrauka

Štai visų parinkčių santrauka, sugrupuota pagal tipą. Paaiškinimai pateikiame sekcijose.

Bendros parinktys
    -h, --help; -V, --version; --disable-server; --color-table; --default-display=ekranas; --default-working-directory=aplankas

Langų ar kortelių skirtukai
    --tab; --window

Kortelių parinktys
    -x, --execute; -e, --command=command; --working-directory=aplankas; -T, --title=title; -H, --hold

Langų parinktys
    --display=ekranas; --drop-down; --geometry=geometrija; --role=vaidmuo; --startup-id=eilutė; -I, --icon=piktograma; --fullscreen; --maximize; --show-menubar, --hide-menubar; --show-borders, --hide-borders; --show-toolbar, --hide-toolbar

  Bendros parinktys

-h, --help
    Įvairių komandinės eilutės parinkčių sąrašas kurias palaiko xfce4-terminal ir išeina

-V, --version
    Rodyti versijos informaciją ir išeiti

--disable-server
    Neregistruoti su D-BUS seanso pranešimo magistrale

--color-table
    Echo the color codes

--default-display=ekranas
    Numatytasis X ekranas.

--default-working-directory=aplankas
    Nustatyti aplanką kaip numatytąjį terminalo darbinį aplanką

  Langų ar kortelių skirtukai

--tab
    Atverti naują kortelę paskutiniame nurodytame lange; gali būti nurodyta ir daugiau parinkčių.

    If you use this as the first option, without --window separators, the last window will be re-used.

--window
    Atverti naują langą turintį vieną kortelę; gali būti nurodyta ir daugiau parinkčių.

  Kortelių parinktys

-x, --execute
    Vykdyti komandinės eilutės likutį terminale

-e, --command=command
    Vykdyti komanda terminale

--working-directory=aplankas
    Nustatyti aplanką kaip numatytąjį terminalo darbinį aplanką

-T, --title=title
    Nustatyti pavadinimą kaip pradinį terminalo lango pavadinimą

-H, --hold
    Neleidžia terminalui užsidaryti kai antrinis procesas nutraukiamas

  Langų parinktys

--display=ekranas
    X ekranas paskutiniam nurodytam langui.

--drop-down
    Will start the window in drop-down mode (also called a Quake-style terminal). This will only apply to the first window started with this option. It is advised to bind this to a shortcut in the keyboard preferences.

--geometry=geometrija
    Nustato geometriją paskutiniam nurodytam langui geometrija. Skaitykite X(7) norėdami sužinoti daugiau apie lango geometriją.

--role=vaidmuo
    Sets the window role of the last-specified window to role. Applies to only one window and can be specified once for each window you create from the command line. The role is a unique identifier for the window to be used when restoring a session.

--startup-id=eilutė
    Nustato paleidimo pranešimo id paskutiniam nurodytam langui. Naudojama viduje, paleidimo pranešimo id perdavimui naudojant D-BUS tarnybą.

-I, --icon=piktograma
    Nustatyti terminalo piktogramą kaip piktogramos vardą ar failo vardą.

--fullscreen
    Nustatyti paskutinį nurodytą langą viso ekrano režimu; taikoma tik vienam langui; gali būti nurodyta tik vienam langui sukurtam iš komandinės eilutės.

--maximize
    Nustatyti paskutinį nurodytą langą išdidintu režimu; taikoma tik vienam langui; gali būti nurodyta tik vienam langui sukurtam iš komandinės eilutės.

--show-menubar
    Paskutiniam nurodytam langui įjungti meniu juostą. Gali būti nurodyta kiekvienam langui sukurtam iš komandinės eilutės.

--hide-menubar
    Paskutiniam nurodytam langui išjungti meniu juostą. Gali būti nurodyta kiekvienam langui sukurtam iš komandinės eilutės.

--show-borders
    Įjungti lango dekoracijas paskutiniam nurodytam langui. Taikoma tik vienam langui. Gali būti nurodyta kartą kiekvienam langui sukurtam iš komandinės eilutės.

--hide-borders
    IŠjungti lango dekoracijas paskutiniam nurodytam langui. Taikoma tik vienam langui. Gali būti nurodyta kartą kiekvienam langui sukurtam iš komandinės eilutės.

--show-toolbar
    Turn on the toolbar for the last-specified window. Applies to only one window. Can be specified once for each window you create from the command line.

--hide-toolbar
    Turn off the toolbar for the last-specified window. Applies to only one window. Can be specified once for each window you create from the command line.

PAVYZDžIAI

xfce4-terminal --geometry 80x40 --command mutt --tab --command mc
    Atveria terminalo langą su 80 stulpelių ir 40 eilučių dydžiu bei dvejomis kortelėmis, pirma kortelė vykdo mutt, o antra command>mc

APLINKA

xfce4-terminal uses the Basedir Specification as defined on Freedesktop.org[1] to locate its data and configuration files. This means that file locations will be specified as a path relative to the directories described in the specification.

${XDG_CONFIG_HOME}
    Pirmas bazinis aplankas kuriame ieškoti konfigūracijos failų. Pagal nutylėjimą nustatyta ~/.config/.

${XDG_CONFIG_DIRS}
    Dvitaškiu atskirtas aplankų sąrašas kuriuose yra konfigūracijos duomenys. Pagal nutylėjimą programa ieškos ${sysconfdir}/xdg/. ${sysconfdir} reikšmė priklauso nuo to kaip programa buvo sukurta ir sukompiliuotose programose dažniausiai būna /etc/.

${XDG_DATA_HOME}
    Šakninis dialogas visiems naudotojo nurodytiems duomenims. Pagal nutylėjimą nustatyta ~/.local/share/.

${XDG_DATA_DIRS}
    Nustatymų rinkinys pagal kuriuos turėtų būti ieškoma duomenų failų, pagal ${XDG_DATA_HOME}. Aplankai turėtų būti atskirti dvitaškiu.

FAILAI

${XDG_CONFIG_DIRS}/xfce4/terminal/terminalrc
    Tai yra konfigūracijos failo, kuriame yra xfce4-terminal valdymo ir išvaizdos nustatymai, vieta.

TAIP PAT žIūRėKITE

bash(1), X(7)

AUTHORS

Nick Schermer <nick@xfce.org>
    Kūrėjas

Benedikt Meurer <benny@xfce.org>
Programinės įrangos kūrėjas, os-cillation, Sistemos kūrimas,
    Kūrėjas

NOTES

1.  Freedesktop.org
    http://freedesktop.org/